Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [EN] Fresh installation(with fluxbox), pkexec error  (Read 369 times)

Offline dancaer69

  • User
  • Posts: 5
[EN] Fresh installation(with fluxbox), pkexec error
« on: 2022/07/03, 11:57:09 »
Hello,
I just installed siduction(X iso) and apps which need to run as root not launching. If I try to run from terminal with:
synaptic-pkexec (for example)
I get the error:
Code: [Select]
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookieafter I input the password.

Offline hendrikL

  • Administrator
  • User
  • *****
  • Gravatar
  • Posts: 648
Re: Fresh installation(with fluxbox), pkexec error
« Reply #1 on: 2022/07/03, 12:47:31 »
mh, maybe you need to add the $user to the 'sudo' group.
Code: [Select]
adduser <username> sudo
You have to do it as root.

Offline dancaer69

  • User
  • Posts: 5
Re: Fresh installation(with fluxbox), pkexec error
« Reply #2 on: 2022/07/03, 13:36:29 »
No, that didn't make any difference. I already edited sudoers via visudo and added user there.
But I installed lxpolkit and add it to fluxbox's startup script and this solve it.

Offline hendrikL

  • Administrator
  • User
  • *****
  • Gravatar
  • Posts: 648
Re: Fresh installation(with fluxbox), pkexec error
« Reply #3 on: 2022/07/03, 15:49:03 »
Strange, okay, I didn't install the xorg-iso, but i have done a test booted the xorg-iso with qemu (vm), no modifications nothing, no full upgrade or install.
Started synaptic-pkexec via terminal, no problem at all.
Sorry ,I do not have enough hardware to install it on bare metal.

Offline dancaer69

  • User
  • Posts: 5
Re: Fresh installation(with fluxbox), pkexec error
« Reply #4 on: 2022/07/03, 20:02:29 »
I'm writing from live iso now and I tried to open synaptics which started immediately without authentication window. So seems that siduser is pre-configured to have root rights. This doesn't happen with a normal user though, so a polkit agent needed.